﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TOTF_constraint.sql **/
 EXEC P_ALTERPK 'PK_TOTF_RULE_WHSYJSF', 'T_TOTF_RULE_WHSYJSF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TOTF_RULE_WHSYJSF' AND KSQL_INDNAME = 'IDX_TOTF_RULEWHSY_ORG_ITEM') CREATE INDEX IDX_TOTF_RULEWHSY_ORG_ITEM ON T_TOTF_RULE_WHSYJSF ( FORGID ,FCOLLECTIONITEM );


 EXEC P_ALTERPK 'PK_TOTF_RULE_WHSYJSF_L', 'T_TOTF_RULE_WHSYJSF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TOTF_RULE_WHSYJSF_L' AND KSQL_INDNAME = 'IDX_TOTF_RULE_WHSYJSF_L_0') CREATE INDEX IDX_TOTF_RULE_WHSYJSF_L_0 ON T_TOTF_RULE_WHSYJSF_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TOTF_WHSYDETAIL_ADJUST', 'T_TOTF_WHSYDETAIL_ADJUST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TOTF_WHSYDETAIL_ADJUST' AND KSQL_INDNAME = 'IDX_TOTF_WHSYADJUST_SERIALNO') CREATE INDEX IDX_TOTF_WHSYADJUST_SERIALNO ON T_TOTF_WHSYDETAIL_ADJUST ( FSERIALNO );


 EXEC P_ALTERPK 'PK_TOTF_WHSYJSF_ACCOUNT', 'T_TOTF_WHSYJSF_ACCOUNT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TOTF_WHSYJSF_ACCOUNT' AND KSQL_INDNAME = 'IDX_TOTF_WHSYJSF_ORG_DATE') CREATE INDEX IDX_TOTF_WHSYJSF_ORG_DATE ON T_TOTF_WHSYJSF_ACCOUNT ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TOTF_WHSYJSF_DETAIL', 'T_TOTF_WHSYJSF_DETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_TOTF_WHSYJSF_DETAIL' AND KSQL_INDNAME = 'IDX_TOTF_WHSYDETA_SERIALNO') CREATE INDEX IDX_TOTF_WHSYDETA_SERIALNO ON T_TOTF_WHSYJSF_DETAIL ( FTAXACCOUNTSERIALNO );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TOTF_constraint.sql **/
