﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TOTF_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TOTF_EMPLOYMENT_FUND') 
 CREATE TABLE T_TOTF_EMPLOYMENT_FUND (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXOFFICE BIGINT DEFAULT 0 NOT NULL,
FZSPM BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSALARY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTAFFNUMBER BIGINT DEFAULT 0 NOT NULL,
FRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISABLEDNUMBER BIGINT DEFAULT 0 NOT NULL,
FAVERAGESALARY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXDEDUCTIONID BIGINT DEFAULT 0 NOT NULL,
FDEDUCTIONAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID BIGINT DEFAULT 0 NOT NULL,
FTAXDEDUCTIONNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXDEDUCTIONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TOTF_JYBZ_DECLARE') 
 CREATE TABLE T_TOTF_JYBZ_DECLARE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBQDYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSJJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQJJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECLAREDATE DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TOTF_table.sql **/
