﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TOTF_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TOTF_TAXABLE_DEDUCTITEM') 
 CREATE TABLE T_TOTF_TAXABLE_DEDUCTITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FKPFNSRSBH VARCHAR(50) DEFAULT ' ' NOT NULL,
FKPFDWMC VARCHAR(50) DEFAULT ' ' NOT NULL,
FITEMNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFILLDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TOTF_WHSYJSF_YSFWJCXMQD') 
 CREATE TABLE T_TOTF_WHSYJSF_YSFWJCXMQD (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FKPFNSRSBH VARCHAR(50) DEFAULT ' ' NOT NULL,
FKPFDWMC VARCHAR(50) DEFAULT ' ' NOT NULL,
FITEMNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TOTF_WHSYJSF_ZB') 
 CREATE TABLE T_TOTF_WHSYJSF_ZB (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FASYFLZSDJFSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FKCXMQCJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FKCXMBQFSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQKCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FKCXMQMYE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJFXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYJFE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQCWJFE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYJFE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQZBQYJFE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQJNSQFE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQJNQJFE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQMWJFE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQZQJFE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMALFIELD16 DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TOTF_SJFZSF_DTB') 
 CREATE TABLE T_TOTF_SJFZSF_DTB (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FZSXM VARCHAR(50) DEFAULT ' ' NOT NULL,
FZSPM VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FYSX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJCX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYSSDL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJSFYJS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFLHDWSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSSKCS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXGMJZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJMXZ VARCHAR(50) DEFAULT ' ' NOT NULL,
FXGMJMXZ VARCHAR(50) DEFAULT ' ' NOT NULL,
FYJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYBSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSYMC VARCHAR(50) DEFAULT ' ' NOT NULL,
FSYBH VARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FZSZM VARCHAR(50) DEFAULT ' ' NOT NULL,
FYJFJS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYJFJSCKE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZSBL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXGMJZBL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TOTF_SJFZSF_INFO') 
 CREATE TABLE T_TOTF_SJFZSF_INFO (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FHJYNSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHJJMSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHJXGMJZE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHJYJSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHJYBSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FYZJSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTGRZJSFFT VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TOTF_table.sql **/
