﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TOTF_constraint.sql **/
 EXEC P_ALTERPK 'PK_TOTF_ACCDETAIL_ADJUST', 'T_TOTF_ACCDETAIL_ADJUST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TAXC_WAFUNDDETADJ_SERIALNO') CREATE INDEX IDX_TAXC_WAFUNDDETADJ_SERIALNO ON T_TOTF_ACCDETAIL_ADJUST ( FSERIALNO );


 EXEC P_ALTERPK 'PK_TOTF_WATER_FUND', 'T_TOTF_WATER_FUND', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TAXC_WATERFUND_ORG_DATE') CREATE INDEX IDX_TAXC_WATERFUND_ORG_DATE ON T_TOTF_WATER_FUND ( FORGID ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_TOTF_WATERFUND_DETAIL', 'T_TOTF_WATERFUND_DETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TAXC_WATERFUNDDET_SERIALNO') CREATE INDEX IDX_TAXC_WATERFUNDDET_SERIALNO ON T_TOTF_WATERFUND_DETAIL ( FTAXACCOUNTSERIALNO );


 EXEC P_ALTERPK 'PK_TOTF_RULE_WATERFUND', 'T_TOTF_RULE_WATERFUND', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TAXC_RULEWAFUND_ORG_ITEM') CREATE INDEX IDX_TAXC_RULEWAFUND_ORG_ITEM ON T_TOTF_RULE_WATERFUND ( FORGID ,FCOLLECTIONITEM );


 EXEC P_ALTERPK 'PK_TOTF_RULE_WATERFUND_L', 'T_TOTF_RULE_WATERFUND_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TOTF_RULE_WATERFUND_L_0') CREATE INDEX IDX_TOTF_RULE_WATERFUND_L_0 ON T_TOTF_RULE_WATERFUND_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TOTF_RULE_WAFUND_ENTITY', 'T_TOTF_RULE_WAFUND_ENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TOTF_RULE_WAFUND_ENTITY_FK') CREATE INDEX IDX_TOTF_RULE_WAFUND_ENTITY_FK ON T_TOTF_RULE_WAFUND_ENTITY ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TOTF_constraint.sql **/
